/*
 * io.h --- the I/O manager abstraction
 * 
 * Copyright (C) 1993, 1994, 1995, 1996 Theodore Ts'o.
 *
 * %Begin-Header%
 * This file may be redistributed under the terms of the GNU Public
 * License.
 * %End-Header%
 */

#ifndef _FAT_IO_H
#define _FAT_IO_H

/*
 * fat_loff_t is defined here since unix_io.c needs it.
 */
#if defined(__GNUC__) || defined(HAS_LONG_LONG)
typedef long long	fat_loff_t;
#else
typedef long		fat_loff_t;
#endif

/* llseek.c */
fat_loff_t fat_llseek (int, fat_loff_t, int);

#endif
